//
//  RDISHelp.m
//  RDIntegrationSample
//
//  Created by Andrian Budantsov on 09.05.10.
//  Copyright (c) 2010 Readdle. All rights reserved.
//

#import "RDISHelp.h"


@implementation RDISHelp



// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	[super loadView];
	
	
	webView = [[UIWebView alloc] initWithFrame:CGRectMake(0, 64, self.view.bounds.size.width,
														  self.view.bounds.size.height-64)];
	NSString *path = [[NSBundle mainBundle] pathForResource:@"help" ofType:@"html"];
	NSURLRequest *req = [NSURLRequest requestWithURL:[NSURL fileURLWithPath:path]];
	[webView loadRequest:req];
	webView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
	[self.view addSubview:webView];

	self.title = @"Adding files";
	
	UINavigationBar *modalNavigationBar = 
	[[UINavigationBar alloc] initWithFrame:CGRectMake(0, 0, self.view.bounds.size.width, 64)];
	[modalNavigationBar autorelease];
	modalNavigationBar.autoresizingMask = UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:modalNavigationBar];
	
	UINavigationItem *modalNavigationItem = [[UINavigationItem alloc] initWithTitle:self.title];
	

						 
	UIBarButtonItem *help = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemDone
																		  target:self
																		  action:@selector(helpDone)];
	modalNavigationItem.rightBarButtonItem = help;
	[help release];


    [modalNavigationBar pushNavigationItem:modalNavigationItem animated:NO];
	[modalNavigationItem release];
}


- (void)helpDone {
	[self dismissViewControllerAnimated:YES completion:nil];
}
		

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Overriden to allow any orientation.
    return YES;
}


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}


- (void)viewDidUnload {
    [super viewDidUnload];
	[webView release];
	webView = nil;
}


- (void)dealloc {
	webView.delegate = nil;
	[webView release];
    [super dealloc];
}


@end
