//
//  RDIntegrationSampleAppDelegate.m
//  RDIntegrationSample
//
//  Created by Andrian Budantsov on 08.05.10.
//  Copyright (c) 2010 Readdle. All rights reserved.
//

#import "RDIntegrationSampleAppDelegate.h"
#import "RDIntegrationContext.h"
#import "RDISFileList.h"

@interface RDIntegrationSampleAppDelegate()

@property (strong, nonatomic) RDISFileList *fileList;
@end

@implementation RDIntegrationSampleAppDelegate

@synthesize window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
	[[RDIntegration sharedIntegration] setDelegate:self];
	RDISFileList *fileList = [[RDISFileList alloc] initWithStyle:UITableViewStylePlain];
	UINavigationController *nc = [[UINavigationController alloc]  initWithRootViewController:fileList];
    self.fileList = fileList;
	[fileList release];
	
    window.rootViewController = nc;
    [window makeKeyAndVisible];
    [nc release];
    
    return YES;
}

- (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation 
{    
    BOOL handledByRDIntegration = [[RDIntegration sharedIntegration] handleOpenURL:url];
    
    if (handledByRDIntegration)
        return YES;
    
    
    // <# regular openURL code #>
    
    return YES;
}

- (NSURL *)destinationFolderURLForURLPasteboardIntegration:(RDIntegration *)integration withContext:(RDIntegrationContext *)context {
    if (context.userInfo) {
        return [NSURL fileURLWithPath:[context.userInfo[@"file_path"] stringByDeletingLastPathComponent]];
    } else {
        return nil; // handle RDIntegrationSaveFileError error
    }
}

- (void)URLPasteboardIntegration:(RDIntegration *)integration willStartSavingToFolder:(NSURL *)folderURL withContext:(RDIntegrationContext *)context {
    NSLog(@"saving a document to %@", folderURL);
}

- (void)URLPasteboardIntegration:(RDIntegration *)integration didFinishSavingWithURL:(NSURL *)fileURL withContext:(RDIntegrationContext *)context {
    NSLog(@"document saved at %@", fileURL);
    [self.fileList refreshFileList];
}

- (void)URLPasteboardIntegration:(RDIntegration *)integration didFailWithError:(NSError *)error withContext:(RDIntegrationContext *)context {
    NSLog(@"%@", error);
}

- (void)dealloc {
    self.fileList = nil;
    [window release];
    [super dealloc];
}


@end
