//
//  RDIntegrationContext.h
//  RDIntegration
//
//  Created by Sergey Falcon on 9/4/17.
//  Copyright © 2017 Readdle. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "RDIntegration.h"

@class RDCAFile, RDIntegrationFile;

@interface RDIntegrationContext : NSObject
@property (strong, readonly) NSURL *url;
@property (nonatomic, copy, readonly) NSString *scheme;
@property (nonatomic, copy, readonly) NSString *action;
@property (nonatomic, copy, readonly) NSDictionary *queryItems;
@property (copy) NSDictionary *userInfo;

- (instancetype)initWithURL:(NSURL *)url;

- (id)queryValueForKey:(NSString *)key ofClass:(Class)itemClass;
@end

@interface RDIntegrationContext (PDFExpertIntegration)
- (NSString *)originatorAppName;
- (NSString *)originatorBackURL;
- (BOOL)flatteningNeeded;
- (BOOL)deleteNeeded;
@end
